import "./styles/app/tailwind.scss"
//主要
import {createApp} from 'vue'
import setupPinia from "./store/init"
import router, {setupRouter} from './router'
import App from './App.vue'

//饿了么UI
import ElementPlus from 'element-plus'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import 'element-plus/dist/index.css'
import 'element-plus/theme-chalk/dark/css-vars.css'
import 'dayjs/locale/zh-cn'

//挂载全局
import {setupComponents} from './global/index'

//导入其它样式
import "./styles/font/index.scss"
import 'remixicon/fonts/remixicon.css'
import "./styles/icon/index.scss"
import "./styles/index.scss"

//创建实例
async function bootstrap() {
    const app = createApp(App);
    app.use(setupPinia)         // 挂载状态管理
    setupComponents(app);       // 组件注册全局
    await setupRouter(app);     // 挂载路由
    await router.isReady();     // 路由准备就绪后挂载APP实例
    app.use(ElementPlus, {
        locale: zhCn,
    })  //饿了么UI框架
    app.mount('#app');
}

void bootstrap();
